summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/derivations.scm2
-rw-r--r--tests/guix-daemon.sh29
-rw-r--r--tests/utils.scm5
3 files changed, 33 insertions, 3 deletions
diff --git a/tests/derivations.scm b/tests/derivations.scm
index 14e1863a12..203bd9032f 100644
--- a/tests/derivations.scm
+++ b/tests/derivations.scm
@@ -76,7 +76,7 @@
(and (equal? b1 b2)
(equal? d1 d2))))
-(test-skip (if %store 0 4))
+(test-skip (if %store 0 11))
(test-assert "add-to-store, flat"
(let* ((file (search-path %load-path "language/tree-il/spec.scm"))
diff --git a/tests/guix-daemon.sh b/tests/guix-daemon.sh
new file mode 100644
index 0000000000..b942cbd546
--- /dev/null
+++ b/tests/guix-daemon.sh
@@ -0,0 +1,29 @@
+# Guix --- Nix package management from Guile. -*- coding: utf-8 -*-
+# Copyright (C) 2012 Ludovic Courtès <ludo@gnu.org>
+#
+# This file is part of Guix.
+#
+# Guix is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or (at
+# your option) any later version.
+#
+# Guix is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Guix. If not, see <http://www.gnu.org/licenses/>.
+
+#
+# Test the daemon.
+#
+
+set -e
+
+guix-daemon --version
+guix-build --version
+
+guix-build -e '(@ (distro packages bootstrap) %bootstrap-guile)'
+guix-build coreutils -n
diff --git a/tests/utils.scm b/tests/utils.scm
index 0a6e8a0833..ba04e281eb 100644
--- a/tests/utils.scm
+++ b/tests/utils.scm
@@ -18,7 +18,7 @@
(define-module (test-utils)
#:use-module (guix utils)
- #:use-module ((guix store) #:select (store-path-package-name))
+ #:use-module ((guix store) #:select (%store-prefix store-path-package-name))
#:use-module (srfi srfi-1)
#:use-module (srfi srfi-11)
#:use-module (srfi srfi-64)
@@ -127,7 +127,8 @@
(test-equal "store-path-package-name"
"bash-4.2-p24"
(store-path-package-name
- "/nix/store/qvs2rj2ia5vci3wsdb7qvydrmacig4pg-bash-4.2-p24"))
+ (string-append (%store-prefix)
+ "/qvs2rj2ia5vci3wsdb7qvydrmacig4pg-bash-4.2-p24")))
(test-end)